org.apache.struts2.el.parser

## Interface Node

- All Known Implementing Classes:
    ArithmeticNode, AstAnd, AstBracketSuffix, AstChoice, AstCompositeExpression, AstDeferredExpression, AstDiv, AstDotSuffix, AstDynamicExpression, AstEmpty, AstEqual, AstFalse, AstFloatingPoint, AstFunction, AstGreaterThan, AstGreaterThanEqual, AstIdentifier, AstInteger, AstLessThan, AstLessThanEqual, AstLiteralExpression, AstMinus, AstMod, AstMult, AstNegative, AstNot, AstNotEqual, AstNull, AstOr, AstPlus, AstString, AstTrue, AstValue, BooleanNode, SimpleNode

      public interface Node

  Version:
    $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(NodeVisitor visitor)`
    `String` | `getImage()`
    `javax.el.MethodInfo` | `getMethodInfo(EvaluationContext ctx, Class[] paramTypes)`
    `Class` | `getType(EvaluationContext ctx)`
    `Object` | `getValue(EvaluationContext ctx)`
    `Object` | `invoke(EvaluationContext ctx, Class[] paramTypes, Object[] paramValues)`
    `boolean` | `isReadOnly(EvaluationContext ctx)`
    `void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
    `void` | `jjtClose()` This method is called after all the child nodes have been added.
    `Node` | `jjtGetChild(int i)` This method returns a child node.
    `int` | `jjtGetNumChildren()`
    `Node` | `jjtGetParent()`
    `void` | `jjtOpen()` This method is called after the node has been made the current node.
    `void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.
    `void` | `setValue(EvaluationContext ctx, Object value)`

- - ### Method Detail

    - #### jjtOpen

          void jjtOpen()

      This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

    - #### jjtClose

          void jjtClose()

      This method is called after all the child nodes have been added.

    - #### jjtSetParent

          void jjtSetParent(Node n)

      This pair of methods are used to inform the node of its parent.
      Parameters:
        `n` - the node

    - #### jjtGetParent

          Node jjtGetParent()

    - #### jjtAddChild

          void jjtAddChild(Node n,
                           int i)

      This method tells the node to add its argument to the node's list of children.
      Parameters:
        `n` - the node
        `i` - i

    - #### jjtGetChild

          Node jjtGetChild(int i)

      This method returns a child node. The children are numbered from zero, left to right.
      Parameters:
        `i` - i
      Returns:
        child node

    - #### jjtGetNumChildren

          int jjtGetNumChildren()

      Returns:
        the number of children the node has.

    - #### getImage

          String getImage()

    - #### getValue

          Object getValue(EvaluationContext ctx)
                   throws javax.el.ELException

      Throws:
        `javax.el.ELException`

    - #### setValue

          void setValue(EvaluationContext ctx,
                        Object value)
                 throws javax.el.ELException

      Throws:
        `javax.el.ELException`

    - #### getType

          Class getType(EvaluationContext ctx)
                 throws javax.el.ELException

      Throws:
        `javax.el.ELException`

    - #### isReadOnly

          boolean isReadOnly(EvaluationContext ctx)
                      throws javax.el.ELException

      Throws:
        `javax.el.ELException`

    - #### accept

          void accept(NodeVisitor visitor)
               throws Exception

      Throws:
        `Exception`

    - #### getMethodInfo

          javax.el.MethodInfo getMethodInfo(EvaluationContext ctx,
                                            Class[] paramTypes)
                                     throws javax.el.ELException

      Throws:
        `javax.el.ELException`

    - #### invoke

          Object invoke(EvaluationContext ctx,
                        Class[] paramTypes,
                        Object[] paramValues)
                 throws javax.el.ELException

      Throws:
        `javax.el.ELException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.